export declare class CustomerPreference {
    _id: number;
    token: string;
    clientId: string;
    deliveryOptions: DeliveryOption[];
    alertPreferences: AlertPreference[];
    active: boolean;
}
export declare class DeliveryOption {
    id: number;
    deliveryType: string;
    name: string;
    value: string;
    status: string;
}
export declare class AlertPreference {
    alertId: string;
    active: boolean;
    deliverTo: number[];
    parameters: AlertPrefParameter[];
    alertDef: AlertDef;
}
export declare class AlertDef {
    _id: string;
    name: string;
    description: string;
    parameters: [AlertDefParameter];
    content: {
        emailText: string;
        smsText: string;
    };
    trigger: string;
}
export declare class AlertDefParameter {
    id: string;
    label: string;
    ptype: string;
}
export declare class AlertPrefParameter {
    parameterId: String;
    value: String;
}
