"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var http_1 = require("@angular/common/http");
var api = 'http://np-service.azurewebsites.net/api';
//const api = 'http://localhost:3001/api';
var PreferenceService = (function () {
    function PreferenceService(http) {
        this.http = http;
    }
    PreferenceService.prototype.getCustomerPreference = function (clientId, token) {
        return this.http.get(api + "/prefs/" + clientId + "/" + token);
    };
    PreferenceService.prototype.updateCustomerPreference = function (pref) {
        return this.http.put(api + "/prefs/" + pref.clientId + "/" + pref.token, pref);
    };
    return PreferenceService;
}());
PreferenceService.decorators = [
    { type: core_1.Injectable },
];
/** @nocollapse */
PreferenceService.ctorParameters = function () { return [
    { type: http_1.HttpClient, },
]; };
exports.PreferenceService = PreferenceService;
//# sourceMappingURL=preference.service.js.map